import { ArrowLeft } from "lucide-react";

import { cn } from "@/lib/utils";

interface LeftArrowProps {
  onClick: () => void;
  className?: string;
}

export function LeftArrow({ onClick, className }: LeftArrowProps) {
  return (
    <button
      onClick={onClick}
      className={cn(
        "flex h-9 w-24 items-center justify-center rounded-full border-2 border-white/50 transition-all duration-300 hover:bg-white/30 lg:h-12 lg:w-12",
        className
      )}
      aria-label="Previous slide"
    >
      <ArrowLeft className="text-white/80" />
    </button>
  );
}
